#!/usr/bin/perl

%DRV_NAME;
%MAJOR_NUM;

$MAX_LINPAC_SLOTS=8;

$INSMOD_COMMAND;
$KERNEL_RELEASE = "2.6.19";

 $INSMOD_COMMAND = "insmod ./driver/linpac_i8094.ko";
`$INSMOD_COMMAND`;

#======================================================================
# remove /dev/device_node and make new node
for( $count=0; $count< $MAX_LINPAC_SLOTS; $count++ )
{
    my $card_node = "I8094" . "W" . $count;
    
    if( !(-e "/dev/$card_node") )
    {
       `mknod /dev/$card_node c 214 $count`;
       print(" make character device node '/dev/$card_node' for I8094/F \n");
       `chmod a+rw /dev/$card_node`;
    }
}

#======================================================================
# copy the linpac_i8094.ko to /lib/modules/$KERNEL_RELEASE

 $INSMOD_COMMAND ="cp ./driver/linpac_i8094.ko /lib/modules/" . $KERNEL_RELEASE;
`$INSMOD_COMMAND`;

#======================================================================
# copy the i8094 script to /etc/init.d

 $INSMOD_COMMAND ="cp ./script/i8094 /etc/init.d";
`$INSMOD_COMMAND`;

# add link 
 if( !(-e "/etc/rc2.d/S73i8094") )
 {
    `ln -s /etc/init.d/i8094 /etc/rc2.d/S73i8094`; 
 }
#======================================================================
# copy the libi8094.so to /usr/lib
 $INSMOD_COMMAND ="cp ./lib/libi8094.so /usr/lib";
`$INSMOD_COMMAND`;


exit 0;

 
