#!/usr/bin/perl

$MAX_LINPAC_SLOTS=8;

$KERNEL_RELEASE;
$INSMOD_COMMAND;

$KERNEL_RELEASE = "2.6.19";

#=====================================================================
# check the /proc/devices & remove the inserted module
open (MODULE_LIST, "</proc/devices") || die "can't open /proc/devices";

while (<MODULE_LIST>){
  ($major,$d)=/(\d+)\s(\w+)/;
  next if !$major;
  $MAJOR_NUM{$d}=$major;
}

close MODULE_LIST;

my $driver_name = "i8094";
    
if( $MAJOR_NUM{$driver_name} != "" )
{
    `rmmod linpac_i8094`;
    print(" remove module : linpac_i8094\n");
}

#======================================================================
# remove /dev/device_node 
for( $count=0; $count< $MAX_LINPAC_SLOTS; $count++ )
{
    my $card_node = "I8094" . "W" . $count;
    
    if( -e "/dev/$card_node" )
    {
        unlink "/dev/$card_node";
        print(" remove device node '/dev/$card_node' \n");
    }
}

$INSMOD_COMMAND ="/lib/modules/" . $KERNEL_RELEASE ."/linpac_i8094.ko";

if( -e $INSMOD_COMMAND )
{
    unlink $INSMOD_COMMAND;
}

if( -e "/etc/init.d/i8094" )
{
    unlink "/etc/init.d/i8094";
}

if( -e "/etc/rc2.d/S73i8094" )
{
    unlink "/etc/rc2.d/S73i8094";
}

if( -e "/usr/lib/libi8094.so" )
{
    unlink "/usr/lib/libi8094.so";
}
 
exit(0);

